#include <YMZ294.h>

#define ADDR_FREQ_A CH_A
#define ADDR_FREQ_B CH_B
#define ADDR_FREQ_C CH_C

// Output Pins
const byte WRCS_PIN = 8;
const byte A0_PIN = 9;
const byte RESET_PIN = 10;

YMZ294 ymz(WRCS_PIN, A0_PIN, RESET_PIN);

void set_ch(Channel ch, int note) {

  if(ch==CH_A || ch==CH_B) {
    ymz.SetEnvShape(1,0,0,1);
    ymz.SetEnvFrequency(30);
  }
  ymz.SetFrequency(ch, noteFreq[note]);
}

void user_delay(int time) {
  delay(time / 1.0);
}

void setup() {
  DDRD = 0b11111111;
  pinMode(WRCS_PIN, OUTPUT);
  pinMode(A0_PIN, OUTPUT);
  pinMode(RESET_PIN, OUTPUT);

  ymz.Reset();

  ymz.SetMixer(0b111, 0b000);

  ymz.SetVolume(CH_A, 0b00001101);
  ymz.SetFreqBit(CH_A, 0);
  ymz.SetVolume(CH_B, 0b00001101);
  ymz.SetFreqBit(CH_B, 0);
  ymz.SetVolume(CH_C, 0b00001111);
  ymz.SetFreqBit(CH_C, 0);

  ymz.SetEnvEnable(CH_A, false);
  ymz.SetEnvEnable(CH_B, false);
  ymz.SetEnvEnable(CH_C, false);

}

void loop() {

  playStart();
  while(true) {
    playSong();
  }
}

void playStart() {

  set_ch(ADDR_FREQ_A,76);
  set_ch(ADDR_FREQ_B,64);
  set_ch(ADDR_FREQ_C,59);
  user_delay(51);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,71);
  user_delay(124);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,76);
  user_delay(124);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,78);
  user_delay(249);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,83);
  user_delay(249);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,78);
  user_delay(249);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,76);
  user_delay(249);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,71);
  user_delay(124);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,76);
  user_delay(124);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,71);
  user_delay(92);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_C,0);
  user_delay(31);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,76);
  set_ch(ADDR_FREQ_B,64);
  set_ch(ADDR_FREQ_C,59);
  user_delay(124);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,78);
  user_delay(124);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,76);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,62);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,57);
  user_delay(124);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,71);
  user_delay(124);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,76);
  user_delay(124);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,78);
  user_delay(249);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,83);
  user_delay(250);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,78);
  user_delay(249);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,76);
  user_delay(249);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,71);
  user_delay(124);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,76);
  user_delay(124);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,71);
  user_delay(92);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_C,0);
  user_delay(31);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,76);
  set_ch(ADDR_FREQ_B,62);
  set_ch(ADDR_FREQ_C,57);
  user_delay(124);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,78);
  user_delay(124);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,76);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,60);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,55);
  user_delay(124);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,71);
  user_delay(124);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,76);
  user_delay(124);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,78);
  user_delay(249);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,83);
  user_delay(249);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,78);
  user_delay(249);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,76);
  user_delay(249);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,71);
  user_delay(124);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,76);
  user_delay(124);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,71);
  user_delay(92);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_C,0);
  user_delay(31);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,76);
  set_ch(ADDR_FREQ_B,60);
  set_ch(ADDR_FREQ_C,55);
  user_delay(124);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,78);
  user_delay(124);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,76);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,62);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,57);
  user_delay(124);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,71);
  user_delay(124);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,76);
  user_delay(124);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,78);
  user_delay(249);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,83);
  user_delay(249);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,78);
  user_delay(249);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,76);
  user_delay(249);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,71);
  user_delay(124);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,76);
  user_delay(124);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,71);
  user_delay(92);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_C,0);
  user_delay(31);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,76);
  set_ch(ADDR_FREQ_B,62);
  set_ch(ADDR_FREQ_C,57);
  user_delay(124);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,78);
  user_delay(124);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_C,0);
}
void playSong() {
  set_ch(ADDR_FREQ_A,80);
  set_ch(ADDR_FREQ_B,59);
  set_ch(ADDR_FREQ_C,52);
  user_delay(61);
  set_ch(ADDR_FREQ_B,0);
  user_delay(62);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,78);
  set_ch(ADDR_FREQ_B,59);
  user_delay(61);
  set_ch(ADDR_FREQ_B,0);
  user_delay(62);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,80);
  set_ch(ADDR_FREQ_B,64);
  user_delay(61);
  set_ch(ADDR_FREQ_B,0);
  user_delay(62);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,82);
  set_ch(ADDR_FREQ_B,64);
  user_delay(61);
  set_ch(ADDR_FREQ_B,0);
  user_delay(30);
  set_ch(ADDR_FREQ_C,0);
  user_delay(31);
  set_ch(ADDR_FREQ_B,59);
  set_ch(ADDR_FREQ_C,52);
  user_delay(61);
  set_ch(ADDR_FREQ_B,0);
  user_delay(62);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,83);
  set_ch(ADDR_FREQ_B,59);
  user_delay(61);
  set_ch(ADDR_FREQ_B,0);
  user_delay(62);
  set_ch(ADDR_FREQ_B,64);
  user_delay(61);
  set_ch(ADDR_FREQ_B,0);
  user_delay(62);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,82);
  set_ch(ADDR_FREQ_B,64);
  user_delay(61);
  set_ch(ADDR_FREQ_B,0);
  user_delay(30);
  set_ch(ADDR_FREQ_C,0);
  user_delay(31);
  set_ch(ADDR_FREQ_B,59);
  set_ch(ADDR_FREQ_C,52);
  user_delay(61);
  set_ch(ADDR_FREQ_B,0);
  user_delay(62);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,80);
  set_ch(ADDR_FREQ_B,59);
  user_delay(61);
  set_ch(ADDR_FREQ_B,0);
  user_delay(63);
  set_ch(ADDR_FREQ_B,64);
  user_delay(62);
  set_ch(ADDR_FREQ_B,0);
  user_delay(62);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,78);
  set_ch(ADDR_FREQ_B,64);
  user_delay(61);
  set_ch(ADDR_FREQ_B,0);
  user_delay(31);
  set_ch(ADDR_FREQ_C,0);
  user_delay(31);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,80);
  set_ch(ADDR_FREQ_B,59);
  set_ch(ADDR_FREQ_C,52);
  user_delay(61);
  set_ch(ADDR_FREQ_B,0);
  user_delay(62);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,78);
  set_ch(ADDR_FREQ_B,59);
  user_delay(61);
  set_ch(ADDR_FREQ_B,0);
  user_delay(63);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,80);
  set_ch(ADDR_FREQ_B,64);
  user_delay(61);
  set_ch(ADDR_FREQ_B,0);
  user_delay(62);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,76);
  set_ch(ADDR_FREQ_B,64);
  user_delay(61);
  set_ch(ADDR_FREQ_B,0);
  user_delay(30);
  set_ch(ADDR_FREQ_C,0);
  user_delay(31);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,80);
  set_ch(ADDR_FREQ_B,59);
  set_ch(ADDR_FREQ_C,52);
  user_delay(61);
  set_ch(ADDR_FREQ_B,0);
  user_delay(62);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,78);
  set_ch(ADDR_FREQ_B,59);
  user_delay(61);
  set_ch(ADDR_FREQ_B,0);
  user_delay(62);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,80);
  set_ch(ADDR_FREQ_B,64);
  user_delay(61);
  set_ch(ADDR_FREQ_B,0);
  user_delay(62);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,82);
  set_ch(ADDR_FREQ_B,64);
  user_delay(61);
  set_ch(ADDR_FREQ_B,0);
  user_delay(31);
  set_ch(ADDR_FREQ_C,0);
  user_delay(31);
  set_ch(ADDR_FREQ_B,59);
  set_ch(ADDR_FREQ_C,52);
  user_delay(61);
  set_ch(ADDR_FREQ_B,0);
  user_delay(62);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,83);
  set_ch(ADDR_FREQ_B,59);
  user_delay(61);
  set_ch(ADDR_FREQ_B,0);
  user_delay(62);
  set_ch(ADDR_FREQ_B,64);
  user_delay(62);
  set_ch(ADDR_FREQ_B,0);
  user_delay(62);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,82);
  set_ch(ADDR_FREQ_B,64);
  user_delay(61);
  set_ch(ADDR_FREQ_B,0);
  user_delay(31);
  set_ch(ADDR_FREQ_C,0);
  user_delay(31);
  set_ch(ADDR_FREQ_B,59);
  set_ch(ADDR_FREQ_C,52);
  user_delay(61);
  set_ch(ADDR_FREQ_B,0);
  user_delay(62);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,80);
  set_ch(ADDR_FREQ_B,59);
  user_delay(61);
  set_ch(ADDR_FREQ_B,0);
  user_delay(62);
  set_ch(ADDR_FREQ_B,64);
  user_delay(61);
  set_ch(ADDR_FREQ_B,0);
  user_delay(62);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,78);
  set_ch(ADDR_FREQ_B,64);
  user_delay(61);
  set_ch(ADDR_FREQ_B,0);
  user_delay(31);
  set_ch(ADDR_FREQ_C,0);
  user_delay(31);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,80);
  set_ch(ADDR_FREQ_B,59);
  set_ch(ADDR_FREQ_C,52);
  user_delay(61);
  set_ch(ADDR_FREQ_B,0);
  user_delay(62);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,78);
  set_ch(ADDR_FREQ_B,59);
  user_delay(61);
  set_ch(ADDR_FREQ_B,0);
  user_delay(62);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,80);
  set_ch(ADDR_FREQ_B,64);
  user_delay(61);
  set_ch(ADDR_FREQ_B,0);
  user_delay(62);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,76);
  set_ch(ADDR_FREQ_B,64);
  user_delay(61);
  set_ch(ADDR_FREQ_B,0);
  user_delay(62);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,78);
  set_ch(ADDR_FREQ_B,57);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,50);
  user_delay(95);
  set_ch(ADDR_FREQ_B,0);
  user_delay(28);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,76);
  set_ch(ADDR_FREQ_B,57);
  user_delay(61);
  set_ch(ADDR_FREQ_B,0);
  user_delay(62);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,78);
  set_ch(ADDR_FREQ_B,62);
  user_delay(61);
  set_ch(ADDR_FREQ_B,0);
  user_delay(62);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,80);
  set_ch(ADDR_FREQ_B,62);
  user_delay(61);
  set_ch(ADDR_FREQ_B,0);
  user_delay(30);
  set_ch(ADDR_FREQ_C,0);
  user_delay(31);
  set_ch(ADDR_FREQ_B,57);
  set_ch(ADDR_FREQ_C,50);
  user_delay(61);
  set_ch(ADDR_FREQ_B,0);
  user_delay(62);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,81);
  set_ch(ADDR_FREQ_B,57);
  user_delay(61);
  set_ch(ADDR_FREQ_B,0);
  user_delay(63);
  set_ch(ADDR_FREQ_B,62);
  user_delay(62);
  set_ch(ADDR_FREQ_B,0);
  user_delay(63);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,80);
  set_ch(ADDR_FREQ_B,62);
  user_delay(61);
  set_ch(ADDR_FREQ_B,0);
  user_delay(30);
  set_ch(ADDR_FREQ_C,0);
  user_delay(31);
  set_ch(ADDR_FREQ_B,57);
  set_ch(ADDR_FREQ_C,50);
  user_delay(61);
  set_ch(ADDR_FREQ_B,0);
  user_delay(62);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,78);
  set_ch(ADDR_FREQ_B,57);
  user_delay(61);
  set_ch(ADDR_FREQ_B,0);
  user_delay(63);
  set_ch(ADDR_FREQ_B,62);
  user_delay(61);
  set_ch(ADDR_FREQ_B,0);
  user_delay(62);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,80);
  set_ch(ADDR_FREQ_B,62);
  user_delay(61);
  set_ch(ADDR_FREQ_B,0);
  user_delay(62);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,78);
  set_ch(ADDR_FREQ_B,52);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,45);
  user_delay(61);
  set_ch(ADDR_FREQ_B,0);
  user_delay(63);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,76);
  set_ch(ADDR_FREQ_B,52);
  user_delay(61);
  set_ch(ADDR_FREQ_B,0);
  user_delay(31);
  set_ch(ADDR_FREQ_A,0);
  user_delay(31);
  set_ch(ADDR_FREQ_A,76);
  set_ch(ADDR_FREQ_B,57);
  user_delay(61);
  set_ch(ADDR_FREQ_B,0);
  user_delay(62);
  set_ch(ADDR_FREQ_B,57);
  user_delay(62);
  set_ch(ADDR_FREQ_B,0);
  user_delay(30);
  set_ch(ADDR_FREQ_C,0);
  user_delay(31);
  set_ch(ADDR_FREQ_B,52);
  set_ch(ADDR_FREQ_C,45);
  user_delay(61);
  set_ch(ADDR_FREQ_B,0);
  user_delay(62);
  set_ch(ADDR_FREQ_B,52);
  user_delay(61);
  set_ch(ADDR_FREQ_B,0);
  user_delay(63);
  set_ch(ADDR_FREQ_B,57);
  user_delay(61);
  set_ch(ADDR_FREQ_B,0);
  user_delay(62);
  set_ch(ADDR_FREQ_B,57);
  user_delay(62);
  set_ch(ADDR_FREQ_B,0);
  user_delay(31);
  set_ch(ADDR_FREQ_C,0);
  user_delay(32);
  set_ch(ADDR_FREQ_B,52);
  set_ch(ADDR_FREQ_C,45);
  user_delay(61);
  set_ch(ADDR_FREQ_B,0);
  user_delay(62);
  set_ch(ADDR_FREQ_B,52);
  user_delay(61);
  set_ch(ADDR_FREQ_B,0);
  user_delay(63);
  set_ch(ADDR_FREQ_B,57);
  user_delay(61);
  set_ch(ADDR_FREQ_B,0);
  user_delay(63);
  set_ch(ADDR_FREQ_B,57);
  user_delay(61);
  set_ch(ADDR_FREQ_B,0);
  user_delay(31);
  set_ch(ADDR_FREQ_C,0);
  user_delay(31);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,73);
  set_ch(ADDR_FREQ_B,52);
  set_ch(ADDR_FREQ_C,45);
  user_delay(61);
  set_ch(ADDR_FREQ_B,0);
  user_delay(62);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,75);
  set_ch(ADDR_FREQ_B,52);
  user_delay(61);
  set_ch(ADDR_FREQ_B,0);
  user_delay(63);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,76);
  set_ch(ADDR_FREQ_B,57);
  user_delay(61);
  set_ch(ADDR_FREQ_B,0);
  user_delay(62);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,78);
  set_ch(ADDR_FREQ_B,57);
  user_delay(61);
  set_ch(ADDR_FREQ_B,0);
  user_delay(30);
  set_ch(ADDR_FREQ_C,0);
  user_delay(32);
  set_ch(ADDR_FREQ_B,52);
  set_ch(ADDR_FREQ_C,45);
  user_delay(61);
  set_ch(ADDR_FREQ_B,0);
  user_delay(62);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,76);
  set_ch(ADDR_FREQ_B,52);
  user_delay(61);
  set_ch(ADDR_FREQ_B,0);
  user_delay(63);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,75);
  set_ch(ADDR_FREQ_B,57);
  user_delay(61);
  set_ch(ADDR_FREQ_B,0);
  user_delay(62);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,73);
  set_ch(ADDR_FREQ_B,57);
  user_delay(61);
  set_ch(ADDR_FREQ_B,0);
  user_delay(63);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,80);
  set_ch(ADDR_FREQ_B,59);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,52);
  user_delay(61);
  set_ch(ADDR_FREQ_B,0);
  user_delay(63);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,78);
  set_ch(ADDR_FREQ_B,59);
  user_delay(61);
  set_ch(ADDR_FREQ_B,0);
  user_delay(63);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,80);
  set_ch(ADDR_FREQ_B,64);
  user_delay(61);
  set_ch(ADDR_FREQ_B,0);
  user_delay(62);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,82);
  set_ch(ADDR_FREQ_B,64);
  user_delay(61);
  set_ch(ADDR_FREQ_B,0);
  user_delay(31);
  set_ch(ADDR_FREQ_C,0);
  user_delay(31);
  set_ch(ADDR_FREQ_B,59);
  set_ch(ADDR_FREQ_C,52);
  user_delay(62);
  set_ch(ADDR_FREQ_B,0);
  user_delay(62);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,83);
  set_ch(ADDR_FREQ_B,59);
  user_delay(61);
  set_ch(ADDR_FREQ_B,0);
  user_delay(63);
  set_ch(ADDR_FREQ_B,64);
  user_delay(62);
  set_ch(ADDR_FREQ_B,0);
  user_delay(62);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,82);
  set_ch(ADDR_FREQ_B,64);
  user_delay(61);
  set_ch(ADDR_FREQ_B,0);
  user_delay(31);
  set_ch(ADDR_FREQ_C,0);
  user_delay(31);
  set_ch(ADDR_FREQ_B,59);
  set_ch(ADDR_FREQ_C,52);
  user_delay(61);
  set_ch(ADDR_FREQ_B,0);
  user_delay(62);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,80);
  set_ch(ADDR_FREQ_B,59);
  user_delay(61);
  set_ch(ADDR_FREQ_B,0);
  user_delay(63);
  set_ch(ADDR_FREQ_B,64);
  user_delay(62);
  set_ch(ADDR_FREQ_B,0);
  user_delay(62);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,78);
  set_ch(ADDR_FREQ_B,64);
  user_delay(61);
  set_ch(ADDR_FREQ_B,0);
  user_delay(31);
  set_ch(ADDR_FREQ_C,0);
  user_delay(31);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,80);
  set_ch(ADDR_FREQ_B,59);
  set_ch(ADDR_FREQ_C,52);
  user_delay(60);
  set_ch(ADDR_FREQ_B,0);
  user_delay(62);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,78);
  set_ch(ADDR_FREQ_B,59);
  user_delay(61);
  set_ch(ADDR_FREQ_B,0);
  user_delay(63);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,80);
  set_ch(ADDR_FREQ_B,64);
  user_delay(61);
  set_ch(ADDR_FREQ_B,0);
  user_delay(62);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,76);
  set_ch(ADDR_FREQ_B,64);
  user_delay(61);
  set_ch(ADDR_FREQ_B,0);
  user_delay(30);
  set_ch(ADDR_FREQ_C,0);
  user_delay(32);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,80);
  set_ch(ADDR_FREQ_B,59);
  set_ch(ADDR_FREQ_C,52);
  user_delay(61);
  set_ch(ADDR_FREQ_B,0);
  user_delay(62);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,78);
  set_ch(ADDR_FREQ_B,59);
  user_delay(61);
  set_ch(ADDR_FREQ_B,0);
  user_delay(62);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,80);
  set_ch(ADDR_FREQ_B,64);
  user_delay(61);
  set_ch(ADDR_FREQ_B,0);
  user_delay(62);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,82);
  set_ch(ADDR_FREQ_B,64);
  user_delay(61);
  set_ch(ADDR_FREQ_B,0);
  user_delay(30);
  set_ch(ADDR_FREQ_C,0);
  user_delay(32);
  set_ch(ADDR_FREQ_B,59);
  set_ch(ADDR_FREQ_C,52);
  user_delay(61);
  set_ch(ADDR_FREQ_B,0);
  user_delay(62);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,83);
  set_ch(ADDR_FREQ_B,59);
  user_delay(61);
  set_ch(ADDR_FREQ_B,0);
  user_delay(63);
  set_ch(ADDR_FREQ_B,64);
  user_delay(61);
  set_ch(ADDR_FREQ_B,0);
  user_delay(62);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,82);
  set_ch(ADDR_FREQ_B,64);
  user_delay(61);
  set_ch(ADDR_FREQ_B,0);
  user_delay(30);
  set_ch(ADDR_FREQ_C,0);
  user_delay(32);
  set_ch(ADDR_FREQ_B,59);
  set_ch(ADDR_FREQ_C,52);
  user_delay(61);
  set_ch(ADDR_FREQ_B,0);
  user_delay(62);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,80);
  set_ch(ADDR_FREQ_B,59);
  user_delay(61);
  set_ch(ADDR_FREQ_B,0);
  user_delay(62);
  set_ch(ADDR_FREQ_B,64);
  user_delay(62);
  set_ch(ADDR_FREQ_B,0);
  user_delay(62);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,78);
  set_ch(ADDR_FREQ_B,64);
  user_delay(61);
  set_ch(ADDR_FREQ_B,0);
  user_delay(30);
  set_ch(ADDR_FREQ_C,0);
  user_delay(32);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,80);
  set_ch(ADDR_FREQ_B,59);
  set_ch(ADDR_FREQ_C,52);
  user_delay(61);
  set_ch(ADDR_FREQ_B,0);
  user_delay(62);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,78);
  set_ch(ADDR_FREQ_B,59);
  user_delay(61);
  set_ch(ADDR_FREQ_B,0);
  user_delay(62);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,80);
  set_ch(ADDR_FREQ_B,64);
  user_delay(61);
  set_ch(ADDR_FREQ_B,0);
  user_delay(62);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,76);
  set_ch(ADDR_FREQ_B,64);
  user_delay(61);
  set_ch(ADDR_FREQ_B,0);
  user_delay(62);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,78);
  set_ch(ADDR_FREQ_B,57);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,50);
  user_delay(61);
  set_ch(ADDR_FREQ_B,0);
  user_delay(63);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,76);
  set_ch(ADDR_FREQ_B,57);
  user_delay(61);
  set_ch(ADDR_FREQ_B,0);
  user_delay(62);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,78);
  set_ch(ADDR_FREQ_B,62);
  user_delay(61);
  set_ch(ADDR_FREQ_B,0);
  user_delay(62);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,80);
  set_ch(ADDR_FREQ_B,62);
  user_delay(61);
  set_ch(ADDR_FREQ_B,0);
  user_delay(30);
  set_ch(ADDR_FREQ_C,0);
  user_delay(32);
  set_ch(ADDR_FREQ_B,57);
  set_ch(ADDR_FREQ_C,50);
  user_delay(61);
  set_ch(ADDR_FREQ_B,0);
  user_delay(62);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,81);
  set_ch(ADDR_FREQ_B,57);
  user_delay(61);
  set_ch(ADDR_FREQ_B,0);
  user_delay(63);
  set_ch(ADDR_FREQ_B,62);
  user_delay(61);
  set_ch(ADDR_FREQ_B,0);
  user_delay(63);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,80);
  set_ch(ADDR_FREQ_B,62);
  user_delay(61);
  set_ch(ADDR_FREQ_B,0);
  user_delay(31);
  set_ch(ADDR_FREQ_C,0);
  user_delay(31);
  set_ch(ADDR_FREQ_B,57);
  set_ch(ADDR_FREQ_C,50);
  user_delay(61);
  set_ch(ADDR_FREQ_B,0);
  user_delay(62);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,78);
  set_ch(ADDR_FREQ_B,57);
  user_delay(61);
  set_ch(ADDR_FREQ_B,0);
  user_delay(62);
  set_ch(ADDR_FREQ_B,62);
  user_delay(62);
  set_ch(ADDR_FREQ_B,0);
  user_delay(63);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,80);
  set_ch(ADDR_FREQ_B,62);
  user_delay(61);
  set_ch(ADDR_FREQ_B,0);
  user_delay(63);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,76);
  set_ch(ADDR_FREQ_B,55);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,48);
  user_delay(61);
  set_ch(ADDR_FREQ_B,0);
  user_delay(62);
  set_ch(ADDR_FREQ_B,55);
  user_delay(61);
  set_ch(ADDR_FREQ_B,0);
  user_delay(63);
  set_ch(ADDR_FREQ_B,60);
  user_delay(62);
  set_ch(ADDR_FREQ_B,0);
  user_delay(62);
  set_ch(ADDR_FREQ_B,60);
  user_delay(61);
  set_ch(ADDR_FREQ_B,0);
  user_delay(31);
  set_ch(ADDR_FREQ_C,0);
  user_delay(31);
  set_ch(ADDR_FREQ_B,55);
  set_ch(ADDR_FREQ_C,48);
  user_delay(61);
  set_ch(ADDR_FREQ_B,0);
  user_delay(63);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,78);
  set_ch(ADDR_FREQ_B,55);
  user_delay(61);
  set_ch(ADDR_FREQ_B,0);
  user_delay(62);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,76);
  set_ch(ADDR_FREQ_B,60);
  user_delay(61);
  set_ch(ADDR_FREQ_B,0);
  user_delay(63);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,74);
  set_ch(ADDR_FREQ_B,60);
  user_delay(61);
  set_ch(ADDR_FREQ_B,0);
  user_delay(30);
  set_ch(ADDR_FREQ_C,0);
  user_delay(31);
  set_ch(ADDR_FREQ_B,53);
  set_ch(ADDR_FREQ_C,46);
  user_delay(61);
  set_ch(ADDR_FREQ_B,0);
  user_delay(62);
  set_ch(ADDR_FREQ_B,53);
  user_delay(61);
  set_ch(ADDR_FREQ_B,0);
  user_delay(63);
  set_ch(ADDR_FREQ_B,58);
  user_delay(62);
  set_ch(ADDR_FREQ_B,0);
  user_delay(63);
  set_ch(ADDR_FREQ_B,58);
  user_delay(61);
  set_ch(ADDR_FREQ_B,0);
  user_delay(30);
  set_ch(ADDR_FREQ_C,0);
  user_delay(31);
  set_ch(ADDR_FREQ_B,53);
  set_ch(ADDR_FREQ_C,46);
  user_delay(61);
  set_ch(ADDR_FREQ_B,0);
  user_delay(62);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,76);
  set_ch(ADDR_FREQ_B,53);
  user_delay(61);
  set_ch(ADDR_FREQ_B,0);
  user_delay(62);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,74);
  set_ch(ADDR_FREQ_B,58);
  user_delay(61);
  set_ch(ADDR_FREQ_B,0);
  user_delay(62);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,72);
  set_ch(ADDR_FREQ_B,58);
  user_delay(61);
  set_ch(ADDR_FREQ_B,0);
  user_delay(62);
  set_ch(ADDR_FREQ_B,51);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,44);
  user_delay(61);
  set_ch(ADDR_FREQ_B,0);
  user_delay(62);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,76);
  set_ch(ADDR_FREQ_B,51);
  user_delay(61);
  set_ch(ADDR_FREQ_B,0);
  user_delay(62);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,78);
  set_ch(ADDR_FREQ_B,56);
  user_delay(61);
  set_ch(ADDR_FREQ_B,0);
  user_delay(62);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,80);
  set_ch(ADDR_FREQ_B,56);
  user_delay(61);
  set_ch(ADDR_FREQ_B,0);
  user_delay(31);
  set_ch(ADDR_FREQ_A,0);
  user_delay(31);
  set_ch(ADDR_FREQ_C,0);

}



