#include <YMZ294.h>

#define ADDR_FREQ_A CH_A
#define ADDR_FREQ_B CH_B
#define ADDR_FREQ_C CH_C

// Output Pins
const byte WRCS_PIN = 8;
const byte A0_PIN = 9;
const byte RESET_PIN = 10;

YMZ294 ymz(WRCS_PIN, A0_PIN, RESET_PIN);

void set_ch(Channel ch, int note) {

  ymz.SetFrequency(ch, noteFreq[note]);
}

void user_delay(int time) {
  delay(time / 1.0);
}

/*
void set_ch(Channel ch, int note) {
  int input_delay = map(analogRead(A2),0,1023,0,23);
  ymz.SetFrequency(ch, noteFreq[note-input_delay]);
}

void user_delay(int time) {
  //float input_delay = (float)map(analogRead(A2),0,1023,70,700)/100.0;
    delay(time / 1.2);
  //delay(time / input_delay);
}

*/
void setup() {
  DDRD = 0b11111111;
  pinMode(WRCS_PIN, OUTPUT);
  pinMode(A0_PIN, OUTPUT);
  pinMode(RESET_PIN, OUTPUT);

  ymz.Reset();

  ymz.SetMixer(0b111, 0b000);

  ymz.SetVolume(CH_A, 0b00001101);
  ymz.SetFreqBit(CH_A, 0);
  ymz.SetVolume(CH_B, 0b00001101);
  ymz.SetFreqBit(CH_B, 0);
  ymz.SetVolume(CH_C, 0b00001111);
  ymz.SetFreqBit(CH_C, 0);

}

void loop() {
  playSong();
}

void playStart() {
}

void playSong() {

  set_ch(ADDR_FREQ_A,67);
  set_ch(ADDR_FREQ_B,84);
  set_ch(ADDR_FREQ_C,36);
  user_delay(96);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,83);
  user_delay(107);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,81);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,48);
  user_delay(52);
  set_ch(ADDR_FREQ_C,0);
  user_delay(53);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,79);
  set_ch(ADDR_FREQ_C,48);
  user_delay(26);
  set_ch(ADDR_FREQ_A,0);
  user_delay(27);
  set_ch(ADDR_FREQ_C,0);
  user_delay(52);
  set_ch(ADDR_FREQ_A,67);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,77);
  set_ch(ADDR_FREQ_C,36);
  user_delay(106);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,79);
  user_delay(106);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,81);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,48);
  user_delay(53);
  set_ch(ADDR_FREQ_C,0);
  user_delay(53);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,72);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,83);
  set_ch(ADDR_FREQ_C,48);
  user_delay(52);
  set_ch(ADDR_FREQ_C,0);
  user_delay(53);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,77);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,84);
  set_ch(ADDR_FREQ_C,36);
  user_delay(106);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,83);
  user_delay(106);
  set_ch(ADDR_FREQ_A,76);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,81);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,48);
  user_delay(53);
  set_ch(ADDR_FREQ_C,0);
  user_delay(52);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,79);
  set_ch(ADDR_FREQ_C,48);
  user_delay(53);
  set_ch(ADDR_FREQ_C,0);
  user_delay(52);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,77);
  set_ch(ADDR_FREQ_C,36);
  user_delay(106);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,79);
  user_delay(107);
  set_ch(ADDR_FREQ_A,72);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,81);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,48);
  user_delay(52);
  set_ch(ADDR_FREQ_C,0);
  user_delay(54);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,83);
  set_ch(ADDR_FREQ_C,48);
  user_delay(52);
  set_ch(ADDR_FREQ_C,0);
  user_delay(53);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,79);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,84);
  set_ch(ADDR_FREQ_C,39);
  user_delay(106);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,82);
  user_delay(106);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,80);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,51);
  user_delay(53);
  set_ch(ADDR_FREQ_C,0);
  user_delay(52);
  set_ch(ADDR_FREQ_A,70);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,79);
  set_ch(ADDR_FREQ_C,51);
  user_delay(54);
  set_ch(ADDR_FREQ_C,0);
  user_delay(26);
  set_ch(ADDR_FREQ_A,0);
  user_delay(25);
  set_ch(ADDR_FREQ_A,70);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,77);
  set_ch(ADDR_FREQ_C,39);
  user_delay(107);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,79);
  user_delay(106);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,80);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,51);
  user_delay(52);
  set_ch(ADDR_FREQ_C,0);
  user_delay(53);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,82);
  set_ch(ADDR_FREQ_C,51);
  user_delay(52);
  set_ch(ADDR_FREQ_C,0);
  user_delay(53);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,84);
  set_ch(ADDR_FREQ_C,39);
  user_delay(106);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,82);
  user_delay(106);
  set_ch(ADDR_FREQ_A,67);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,80);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,51);
  user_delay(53);
  set_ch(ADDR_FREQ_C,0);
  user_delay(53);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,68);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,79);
  set_ch(ADDR_FREQ_C,51);
  user_delay(53);
  set_ch(ADDR_FREQ_C,0);
  user_delay(53);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,70);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,77);
  set_ch(ADDR_FREQ_C,39);
  user_delay(106);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,75);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,79);
  user_delay(106);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,77);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,80);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,51);
  user_delay(52);
  set_ch(ADDR_FREQ_C,0);
  user_delay(53);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,79);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,82);
  set_ch(ADDR_FREQ_C,51);
  user_delay(53);
  set_ch(ADDR_FREQ_C,0);
  user_delay(52);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,72);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,84);
  set_ch(ADDR_FREQ_C,41);
  user_delay(106);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,83);
  user_delay(106);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,81);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,53);
  user_delay(53);
  set_ch(ADDR_FREQ_C,0);
  user_delay(53);
  set_ch(ADDR_FREQ_A,69);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,79);
  set_ch(ADDR_FREQ_C,53);
  user_delay(52);
  set_ch(ADDR_FREQ_C,0);
  user_delay(53);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,77);
  set_ch(ADDR_FREQ_C,41);
  user_delay(106);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,79);
  user_delay(106);
  set_ch(ADDR_FREQ_A,72);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,81);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,53);
  user_delay(53);
  set_ch(ADDR_FREQ_C,0);
  user_delay(52);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,83);
  set_ch(ADDR_FREQ_C,53);
  user_delay(53);
  set_ch(ADDR_FREQ_C,0);
  user_delay(52);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,84);
  set_ch(ADDR_FREQ_C,41);
  user_delay(106);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,83);
  user_delay(107);
  set_ch(ADDR_FREQ_A,77);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,81);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,53);
  user_delay(52);
  set_ch(ADDR_FREQ_C,0);
  user_delay(54);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,79);
  set_ch(ADDR_FREQ_C,53);
  user_delay(52);
  set_ch(ADDR_FREQ_C,0);
  user_delay(53);
  set_ch(ADDR_FREQ_A,69);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,77);
  set_ch(ADDR_FREQ_C,41);
  user_delay(106);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,71);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,79);
  user_delay(106);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,72);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,81);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,53);
  user_delay(53);
  set_ch(ADDR_FREQ_C,0);
  user_delay(52);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,74);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,83);
  set_ch(ADDR_FREQ_C,53);
  user_delay(54);
  set_ch(ADDR_FREQ_C,0);
  user_delay(52);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,75);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,84);
  set_ch(ADDR_FREQ_C,44);
  user_delay(107);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,82);
  user_delay(106);
  set_ch(ADDR_FREQ_A,72);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,80);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,56);
  user_delay(52);
  set_ch(ADDR_FREQ_C,0);
  user_delay(53);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,68);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,79);
  set_ch(ADDR_FREQ_C,56);
  user_delay(52);
  set_ch(ADDR_FREQ_C,0);
  user_delay(53);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,77);
  set_ch(ADDR_FREQ_C,44);
  user_delay(106);
  set_ch(ADDR_FREQ_A,75);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,79);
  user_delay(106);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,80);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,56);
  user_delay(53);
  set_ch(ADDR_FREQ_C,0);
  user_delay(52);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,72);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,82);
  set_ch(ADDR_FREQ_C,56);
  user_delay(53);
  set_ch(ADDR_FREQ_C,0);
  user_delay(53);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,77);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,84);
  set_ch(ADDR_FREQ_C,46);
  user_delay(106);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,86);
  user_delay(106);
  set_ch(ADDR_FREQ_A,74);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,87);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,58);
  user_delay(52);
  set_ch(ADDR_FREQ_C,0);
  user_delay(53);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,70);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,86);
  set_ch(ADDR_FREQ_C,58);
  user_delay(53);
  set_ch(ADDR_FREQ_C,0);
  user_delay(52);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,84);
  set_ch(ADDR_FREQ_C,46);
  user_delay(106);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,74);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,82);
  user_delay(106);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,77);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,80);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,58);
  user_delay(53);
  set_ch(ADDR_FREQ_C,0);
  user_delay(53);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,82);
  set_ch(ADDR_FREQ_C,58);
  user_delay(52);
  set_ch(ADDR_FREQ_C,0);
  user_delay(53);
  set_ch(ADDR_FREQ_A,67);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,84);
  set_ch(ADDR_FREQ_C,36);
  user_delay(106);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,83);
  user_delay(106);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,81);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,48);
  user_delay(53);
  set_ch(ADDR_FREQ_C,0);
  user_delay(53);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,79);
  set_ch(ADDR_FREQ_C,48);
  user_delay(53);
  set_ch(ADDR_FREQ_C,0);
  user_delay(52);
  set_ch(ADDR_FREQ_A,67);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,77);
  set_ch(ADDR_FREQ_C,36);
  user_delay(106);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,79);
  user_delay(107);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,81);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,48);
  user_delay(52);
  set_ch(ADDR_FREQ_C,0);
  user_delay(53);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,72);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,83);
  set_ch(ADDR_FREQ_C,48);
  user_delay(52);
  set_ch(ADDR_FREQ_C,0);
  user_delay(53);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,77);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,84);
  set_ch(ADDR_FREQ_C,36);
  user_delay(106);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,83);
  user_delay(106);
  set_ch(ADDR_FREQ_A,76);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,81);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,48);
  user_delay(53);
  set_ch(ADDR_FREQ_C,0);
  user_delay(52);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,79);
  set_ch(ADDR_FREQ_C,48);
  user_delay(54);
  set_ch(ADDR_FREQ_C,0);
  user_delay(52);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,77);
  set_ch(ADDR_FREQ_C,36);
  user_delay(108);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,79);
  user_delay(106);
  set_ch(ADDR_FREQ_A,72);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,81);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,48);
  user_delay(52);
  set_ch(ADDR_FREQ_C,0);
  user_delay(54);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,83);
  set_ch(ADDR_FREQ_C,48);
  user_delay(52);
  set_ch(ADDR_FREQ_C,0);
  user_delay(53);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,79);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,84);
  set_ch(ADDR_FREQ_C,39);
  user_delay(106);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,82);
  user_delay(80);
  set_ch(ADDR_FREQ_A,0);
  user_delay(26);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,80);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,51);
  user_delay(53);
  set_ch(ADDR_FREQ_C,0);
  user_delay(52);
  set_ch(ADDR_FREQ_A,70);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,79);
  set_ch(ADDR_FREQ_C,51);
  user_delay(53);
  set_ch(ADDR_FREQ_C,0);
  user_delay(26);
  set_ch(ADDR_FREQ_A,0);
  user_delay(26);
  set_ch(ADDR_FREQ_A,70);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,77);
  set_ch(ADDR_FREQ_C,39);
  user_delay(106);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,79);
  user_delay(106);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,80);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,51);
  user_delay(52);
  set_ch(ADDR_FREQ_C,0);
  user_delay(53);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,82);
  set_ch(ADDR_FREQ_C,51);
  user_delay(53);
  set_ch(ADDR_FREQ_C,0);
  user_delay(53);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,84);
  set_ch(ADDR_FREQ_C,39);
  user_delay(106);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,82);
  user_delay(106);
  set_ch(ADDR_FREQ_A,67);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,80);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,51);
  user_delay(53);
  set_ch(ADDR_FREQ_C,0);
  user_delay(53);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,68);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,79);
  set_ch(ADDR_FREQ_C,51);
  user_delay(52);
  set_ch(ADDR_FREQ_C,0);
  user_delay(54);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,70);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,77);
  set_ch(ADDR_FREQ_C,39);
  user_delay(106);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,75);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,79);
  user_delay(106);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,77);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,80);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,51);
  user_delay(53);
  set_ch(ADDR_FREQ_C,0);
  user_delay(52);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,79);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,82);
  set_ch(ADDR_FREQ_C,51);
  user_delay(53);
  set_ch(ADDR_FREQ_C,0);
  user_delay(53);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,81);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,84);
  set_ch(ADDR_FREQ_C,41);
  user_delay(106);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,83);
  user_delay(107);
  set_ch(ADDR_FREQ_A,72);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,81);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,53);
  user_delay(52);
  set_ch(ADDR_FREQ_C,0);
  user_delay(27);
  set_ch(ADDR_FREQ_A,0);
  user_delay(26);
  set_ch(ADDR_FREQ_A,72);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,79);
  set_ch(ADDR_FREQ_C,53);
  user_delay(52);
  set_ch(ADDR_FREQ_C,0);
  user_delay(53);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,77);
  set_ch(ADDR_FREQ_C,41);
  user_delay(106);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,79);
  user_delay(106);
  set_ch(ADDR_FREQ_A,77);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,81);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,53);
  user_delay(53);
  set_ch(ADDR_FREQ_C,0);
  user_delay(52);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,83);
  set_ch(ADDR_FREQ_C,53);
  user_delay(54);
  set_ch(ADDR_FREQ_C,0);
  user_delay(52);
  set_ch(ADDR_FREQ_A,79);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,84);
  set_ch(ADDR_FREQ_C,41);
  user_delay(108);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,83);
  user_delay(106);
  set_ch(ADDR_FREQ_A,81);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,53);
  user_delay(52);
  set_ch(ADDR_FREQ_C,0);
  user_delay(53);
  set_ch(ADDR_FREQ_B,79);
  set_ch(ADDR_FREQ_C,53);
  user_delay(52);
  set_ch(ADDR_FREQ_C,0);
  user_delay(53);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,77);
  set_ch(ADDR_FREQ_C,41);
  user_delay(106);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,79);
  user_delay(106);
  set_ch(ADDR_FREQ_A,77);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,81);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,53);
  user_delay(53);
  set_ch(ADDR_FREQ_C,0);
  user_delay(52);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,83);
  set_ch(ADDR_FREQ_C,53);
  user_delay(54);
  set_ch(ADDR_FREQ_C,0);
  user_delay(54);
  set_ch(ADDR_FREQ_A,74);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,86);
  set_ch(ADDR_FREQ_C,43);
  user_delay(106);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,84);
  user_delay(106);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,83);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,55);
  user_delay(52);
  set_ch(ADDR_FREQ_C,0);
  user_delay(54);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,79);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,81);
  set_ch(ADDR_FREQ_C,55);
  user_delay(53);
  set_ch(ADDR_FREQ_C,0);
  user_delay(53);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,79);
  set_ch(ADDR_FREQ_C,43);
  user_delay(106);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,81);
  user_delay(106);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,83);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,55);
  user_delay(54);
  set_ch(ADDR_FREQ_C,0);
  user_delay(54);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,84);
  set_ch(ADDR_FREQ_C,55);
  user_delay(52);
  set_ch(ADDR_FREQ_C,0);
  user_delay(53);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,86);
  set_ch(ADDR_FREQ_C,43);
  user_delay(106);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,84);
  user_delay(106);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,83);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,55);
  user_delay(53);
  set_ch(ADDR_FREQ_C,0);
  user_delay(52);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,81);
  set_ch(ADDR_FREQ_C,55);
  user_delay(53);
  set_ch(ADDR_FREQ_C,0);
  user_delay(53);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,79);
  set_ch(ADDR_FREQ_C,43);
  user_delay(106);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,83);
  user_delay(108);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,86);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,55);
  user_delay(52);
  set_ch(ADDR_FREQ_C,0);
  user_delay(53);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,91);
  set_ch(ADDR_FREQ_C,55);
  user_delay(52);
  set_ch(ADDR_FREQ_C,0);
  user_delay(53);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,75);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_C,44);
  user_delay(106);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,56);
  user_delay(106);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,51);
  user_delay(80);
  set_ch(ADDR_FREQ_A,0);
  user_delay(25);
  set_ch(ADDR_FREQ_A,72);
  set_ch(ADDR_FREQ_B,75);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,56);
  user_delay(107);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,44);
  user_delay(107);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,56);
  user_delay(79);
  set_ch(ADDR_FREQ_B,0);
  user_delay(26);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,75);
  set_ch(ADDR_FREQ_B,80);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,51);
  user_delay(106);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,56);
  user_delay(106);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,44);
  user_delay(106);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,56);
  user_delay(106);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,51);
  user_delay(106);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,56);
  user_delay(107);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,72);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,44);
  user_delay(106);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,74);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,56);
  user_delay(106);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,75);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,51);
  user_delay(106);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,56);
  user_delay(106);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,74);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,39);
  user_delay(106);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,51);
  user_delay(106);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,43);
  user_delay(80);
  set_ch(ADDR_FREQ_A,0);
  user_delay(27);
  set_ch(ADDR_FREQ_A,70);
  set_ch(ADDR_FREQ_B,74);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,51);
  user_delay(106);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,39);
  user_delay(106);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,51);
  user_delay(106);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,67);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,75);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,43);
  user_delay(106);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,51);
  user_delay(106);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,39);
  user_delay(106);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,51);
  user_delay(107);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,43);
  user_delay(106);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,51);
  user_delay(106);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,39);
  user_delay(106);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,51);
  user_delay(106);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,43);
  user_delay(106);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,51);
  user_delay(107);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,69);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,41);
  user_delay(107);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,70);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,53);
  user_delay(106);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,72);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,46);
  user_delay(79);
  set_ch(ADDR_FREQ_A,0);
  user_delay(26);
  set_ch(ADDR_FREQ_A,77);
  set_ch(ADDR_FREQ_B,72);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,53);
  user_delay(105);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,41);
  user_delay(106);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,53);
  user_delay(81);
  set_ch(ADDR_FREQ_B,0);
  user_delay(25);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,72);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,46);
  user_delay(106);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,53);
  user_delay(107);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,71);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,43);
  user_delay(106);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,72);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,55);
  user_delay(106);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,74);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,51);
  user_delay(79);
  set_ch(ADDR_FREQ_A,0);
  user_delay(27);
  set_ch(ADDR_FREQ_A,79);
  set_ch(ADDR_FREQ_B,74);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,55);
  user_delay(106);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,43);
  user_delay(106);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,55);
  user_delay(80);
  set_ch(ADDR_FREQ_B,0);
  user_delay(25);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,74);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,51);
  user_delay(107);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,55);
  user_delay(106);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,72);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,44);
  user_delay(106);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,74);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,56);
  user_delay(106);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,75);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,51);
  user_delay(79);
  set_ch(ADDR_FREQ_A,0);
  user_delay(26);
  set_ch(ADDR_FREQ_A,80);
  set_ch(ADDR_FREQ_B,75);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,56);
  user_delay(106);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,44);
  user_delay(106);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,56);
  user_delay(80);
  set_ch(ADDR_FREQ_B,0);
  user_delay(26);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,75);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,51);
  user_delay(106);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,56);
  user_delay(106);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,74);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,46);
  user_delay(106);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,75);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,58);
  user_delay(106);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,77);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,53);
  user_delay(80);
  set_ch(ADDR_FREQ_A,0);
  user_delay(25);
  set_ch(ADDR_FREQ_A,82);
  set_ch(ADDR_FREQ_B,77);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,58);
  user_delay(107);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,46);
  user_delay(107);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,58);
  user_delay(106);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,84);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,79);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,53);
  user_delay(107);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,58);
  user_delay(106);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,43);
  user_delay(106);
  set_ch(ADDR_FREQ_C,0);
  user_delay(106);
  set_ch(ADDR_FREQ_C,55);
  user_delay(80);
  set_ch(ADDR_FREQ_C,0);
  user_delay(25);
  set_ch(ADDR_FREQ_C,55);
  user_delay(108);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,43);
  user_delay(106);
  set_ch(ADDR_FREQ_C,0);
  user_delay(106);
  set_ch(ADDR_FREQ_C,55);
  user_delay(79);
  set_ch(ADDR_FREQ_C,0);
  user_delay(26);
  set_ch(ADDR_FREQ_C,55);
  user_delay(79);
  set_ch(ADDR_FREQ_B,0);
  user_delay(27);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,79);
  set_ch(ADDR_FREQ_B,83);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,43);
  user_delay(106);
  set_ch(ADDR_FREQ_C,0);
  user_delay(106);
  set_ch(ADDR_FREQ_C,55);
  user_delay(80);
  set_ch(ADDR_FREQ_C,0);
  user_delay(27);
  set_ch(ADDR_FREQ_C,55);
  user_delay(106);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,43);
  user_delay(106);
  set_ch(ADDR_FREQ_C,0);
  user_delay(107);
  set_ch(ADDR_FREQ_C,55);
  user_delay(80);
  set_ch(ADDR_FREQ_C,0);
  user_delay(26);
  set_ch(ADDR_FREQ_C,55);
  user_delay(106);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_C,0);
}


