#include <YMZ294.h>

#define ADDR_FREQ_A CH_A
#define ADDR_FREQ_B CH_B
#define ADDR_FREQ_C CH_C

// Output Pins
const byte WRCS_PIN = 8;
const byte A0_PIN = 9;
const byte RESET_PIN = 10;

YMZ294 ymz(WRCS_PIN, A0_PIN, RESET_PIN);

void set_ch(Channel ch, int note) {
  if(ch==CH_A || ch==CH_B) {
  ymz.SetEnvShape(1,0,0,1);
  ymz.SetEnvFrequency(15);
  }
  ymz.SetFrequency(ch, noteFreq[note]);
}

void user_delay(int time) {
  delay(time / 1.1);
}

void setup() {
  DDRD = 0b11111111;
  pinMode(WRCS_PIN, OUTPUT);
  pinMode(A0_PIN, OUTPUT);
  pinMode(RESET_PIN, OUTPUT);

  ymz.Reset();

  ymz.SetMixer(0b111, 0b000);

  ymz.SetVolume(CH_A, 0b00001111);
  ymz.SetFreqBit(CH_A, 0);
  ymz.SetVolume(CH_B, 0b00001111);
  ymz.SetFreqBit(CH_B, 0);
  ymz.SetVolume(CH_C, 0b00001111);
  ymz.SetFreqBit(CH_C, 0);

  ymz.SetEnvEnable(CH_A, true);
  ymz.SetEnvEnable(CH_B, true);
  ymz.SetEnvEnable(CH_C, false);

}

void loop() {
  playSong();
}

void playStart() {
}

void playSong() {
  
 
  set_ch(ADDR_FREQ_C,38);
  user_delay(164);
  set_ch(ADDR_FREQ_C,0);
  user_delay(8);
  set_ch(ADDR_FREQ_C,38);
  user_delay(213);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,50);
  user_delay(213);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,38);
  user_delay(98);
  set_ch(ADDR_FREQ_C,0);
  user_delay(8);
  set_ch(ADDR_FREQ_C,38);
  user_delay(205);
  set_ch(ADDR_FREQ_C,0);
  user_delay(8);
  set_ch(ADDR_FREQ_C,38);
  user_delay(204);
  set_ch(ADDR_FREQ_C,0);
  user_delay(8);
  set_ch(ADDR_FREQ_C,38);
  user_delay(106);
  set_ch(ADDR_FREQ_A,72);
  set_ch(ADDR_FREQ_B,69);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,50);
  user_delay(196);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_B,0);
  user_delay(9);
  set_ch(ADDR_FREQ_C,0);
  user_delay(8);
  set_ch(ADDR_FREQ_A,72);
  set_ch(ADDR_FREQ_B,69);
  set_ch(ADDR_FREQ_C,50);
  user_delay(213);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,38);
  user_delay(204);
  set_ch(ADDR_FREQ_C,0);
  user_delay(8);
  set_ch(ADDR_FREQ_C,38);
  user_delay(213);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,50);
  user_delay(214);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,38);
  user_delay(97);
  set_ch(ADDR_FREQ_C,0);
  user_delay(9);
  set_ch(ADDR_FREQ_C,38);
  user_delay(204);
  set_ch(ADDR_FREQ_C,0);
  user_delay(8);
  set_ch(ADDR_FREQ_C,38);
  user_delay(205);
  set_ch(ADDR_FREQ_C,0);
  user_delay(8);
  set_ch(ADDR_FREQ_C,38);
  user_delay(107);
  set_ch(ADDR_FREQ_A,72);
  set_ch(ADDR_FREQ_B,69);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,50);
  user_delay(106);
  set_ch(ADDR_FREQ_A,71);
  set_ch(ADDR_FREQ_B,67);
  user_delay(8);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_B,0);
  user_delay(89);
  set_ch(ADDR_FREQ_C,0);
  user_delay(8);
  set_ch(ADDR_FREQ_A,72);
  set_ch(ADDR_FREQ_B,69);
  set_ch(ADDR_FREQ_C,50);
  user_delay(8);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_B,0);
  user_delay(204);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,38);
  user_delay(106);
  set_ch(ADDR_FREQ_A,60);
  set_ch(ADDR_FREQ_B,53);
  user_delay(98);
  set_ch(ADDR_FREQ_C,0);
  user_delay(8);
  set_ch(ADDR_FREQ_C,38);
  user_delay(89);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_B,0);
  user_delay(17);
  set_ch(ADDR_FREQ_A,60);
  set_ch(ADDR_FREQ_B,53);
  user_delay(106);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,50);
  user_delay(213);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,38);
  user_delay(97);
  set_ch(ADDR_FREQ_C,0);
  user_delay(8);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_C,38);
  user_delay(205);
  set_ch(ADDR_FREQ_C,0);
  user_delay(8);
  set_ch(ADDR_FREQ_C,38);
  user_delay(205);
  set_ch(ADDR_FREQ_C,0);
  user_delay(8);
  set_ch(ADDR_FREQ_C,38);
  user_delay(106);
  set_ch(ADDR_FREQ_A,72);
  set_ch(ADDR_FREQ_B,69);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,50);
  user_delay(106);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,71);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,68);
  user_delay(97);
  set_ch(ADDR_FREQ_C,0);
  user_delay(8);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,72);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,69);
  set_ch(ADDR_FREQ_C,50);
  user_delay(196);
  set_ch(ADDR_FREQ_A,0);
  user_delay(8);
  set_ch(ADDR_FREQ_C,0);
  user_delay(8);
  set_ch(ADDR_FREQ_A,76);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,72);
  set_ch(ADDR_FREQ_C,50);
  user_delay(205);
  set_ch(ADDR_FREQ_C,0);
  user_delay(9);
  set_ch(ADDR_FREQ_C,50);
  user_delay(106);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,75);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,71);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,49);
  user_delay(204);
  set_ch(ADDR_FREQ_C,0);
  user_delay(9);
  set_ch(ADDR_FREQ_C,49);
  user_delay(106);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,74);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,70);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,48);
  user_delay(205);
  set_ch(ADDR_FREQ_C,0);
  user_delay(9);
  set_ch(ADDR_FREQ_C,48);
  user_delay(106);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,75);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,71);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,49);
  user_delay(97);
  set_ch(ADDR_FREQ_C,0);
  user_delay(9);
  set_ch(ADDR_FREQ_C,49);
  user_delay(213);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,76);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,72);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,50);
  user_delay(97);
  set_ch(ADDR_FREQ_C,0);
  user_delay(9);
  set_ch(ADDR_FREQ_C,50);
  user_delay(106);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,77);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,73);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,51);
  user_delay(214);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,40);
  user_delay(204);
  set_ch(ADDR_FREQ_C,0);
  user_delay(9);
  set_ch(ADDR_FREQ_C,40);
  user_delay(213);
  set_ch(ADDR_FREQ_A,78);
  set_ch(ADDR_FREQ_B,74);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,52);
  user_delay(214);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,40);
  user_delay(97);
  set_ch(ADDR_FREQ_C,0);
  user_delay(9);
  set_ch(ADDR_FREQ_C,40);
  user_delay(106);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_B,0);
  user_delay(97);
  set_ch(ADDR_FREQ_C,0);
  user_delay(8);
  set_ch(ADDR_FREQ_C,40);
  user_delay(204);
  set_ch(ADDR_FREQ_C,0);
  user_delay(8);
  set_ch(ADDR_FREQ_C,40);
  user_delay(106);
  set_ch(ADDR_FREQ_A,78);
  set_ch(ADDR_FREQ_B,74);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,52);
  user_delay(107);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,77);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,73);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,51);
  user_delay(106);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,78);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,74);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,52);
  user_delay(213);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,40);
  user_delay(106);
  set_ch(ADDR_FREQ_A,78);
  set_ch(ADDR_FREQ_B,74);
  user_delay(97);
  set_ch(ADDR_FREQ_C,0);
  user_delay(9);
  set_ch(ADDR_FREQ_C,40);
  user_delay(196);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_B,0);
  user_delay(17);
  set_ch(ADDR_FREQ_A,78);
  set_ch(ADDR_FREQ_B,74);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,52);
  user_delay(213);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,40);
  user_delay(97);
  set_ch(ADDR_FREQ_C,0);
  user_delay(9);
  set_ch(ADDR_FREQ_C,40);
  user_delay(106);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_B,0);
  user_delay(97);
  set_ch(ADDR_FREQ_C,0);
  user_delay(9);
  set_ch(ADDR_FREQ_A,78);
  set_ch(ADDR_FREQ_B,74);
  set_ch(ADDR_FREQ_C,40);
  user_delay(196);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_B,0);
  user_delay(8);
  set_ch(ADDR_FREQ_C,0);
  user_delay(8);
  set_ch(ADDR_FREQ_A,78);
  set_ch(ADDR_FREQ_B,74);
  set_ch(ADDR_FREQ_C,40);
  user_delay(106);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,81);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,77);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,43);
  user_delay(195);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_B,0);
  user_delay(8);
  set_ch(ADDR_FREQ_C,0);
  user_delay(8);
  set_ch(ADDR_FREQ_A,81);
  set_ch(ADDR_FREQ_B,77);
  set_ch(ADDR_FREQ_C,43);
  user_delay(213);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,40);
  user_delay(106);
  set_ch(ADDR_FREQ_A,78);
  set_ch(ADDR_FREQ_B,74);
  user_delay(98);
  set_ch(ADDR_FREQ_C,0);
  user_delay(8);
  set_ch(ADDR_FREQ_C,40);
  user_delay(195);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_B,0);
  user_delay(17);
  set_ch(ADDR_FREQ_A,78);
  set_ch(ADDR_FREQ_B,74);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,52);
  user_delay(213);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,40);
  user_delay(97);
  set_ch(ADDR_FREQ_C,0);
  user_delay(9);
  set_ch(ADDR_FREQ_C,40);
  user_delay(205);
  set_ch(ADDR_FREQ_C,0);
  user_delay(9);
  set_ch(ADDR_FREQ_A,78);
  set_ch(ADDR_FREQ_B,74);
  set_ch(ADDR_FREQ_C,40);
  user_delay(195);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_B,0);
  user_delay(8);
  set_ch(ADDR_FREQ_C,0);
  user_delay(8);
  set_ch(ADDR_FREQ_A,78);
  set_ch(ADDR_FREQ_B,74);
  set_ch(ADDR_FREQ_C,40);
  user_delay(106);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,81);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,77);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,43);
  user_delay(195);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_B,0);
  user_delay(9);
  set_ch(ADDR_FREQ_C,0);
  user_delay(8);
  set_ch(ADDR_FREQ_A,81);
  set_ch(ADDR_FREQ_B,77);
  set_ch(ADDR_FREQ_C,43);
  user_delay(98);
  set_ch(ADDR_FREQ_C,0);
  user_delay(7);

  ymz.SetEnvEnable(CH_A, false);
  ymz.SetEnvEnable(CH_B, false);

  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,82);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,78);
  set_ch(ADDR_FREQ_C,44);
  user_delay(53);
  set_ch(ADDR_FREQ_C,0);
  user_delay(44);
  set_ch(ADDR_FREQ_C,0);
  user_delay(9);
  set_ch(ADDR_FREQ_C,44);
  user_delay(106);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,51);
  user_delay(107);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,54);
  user_delay(106);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,58);
  user_delay(106);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,60);
  user_delay(106);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,63);
  user_delay(107);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,66);
  user_delay(107);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,63);
  user_delay(107);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,60);
  user_delay(106);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,58);
  user_delay(106);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,54);
  user_delay(106);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,51);
  user_delay(88);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_B,0);
  user_delay(17);
  set_ch(ADDR_FREQ_A,82);
  set_ch(ADDR_FREQ_B,78);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,44);
  user_delay(72);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,51);
  user_delay(17);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_B,0);
  user_delay(16);
  set_ch(ADDR_FREQ_A,82);
  set_ch(ADDR_FREQ_B,78);
  user_delay(35);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,54);
  user_delay(71);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,58);
  user_delay(71);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,60);
  user_delay(35);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,81);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,77);
  user_delay(34);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,62);
  user_delay(71);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,43);
  user_delay(106);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,50);
  user_delay(106);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,53);
  user_delay(106);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,57);
  user_delay(106);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,59);
  user_delay(107);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,62);
  user_delay(106);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,65);
  user_delay(106);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,62);
  user_delay(106);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,59);
  user_delay(107);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,57);
  user_delay(106);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,53);
  user_delay(106);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,50);
  user_delay(89);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_B,0);
  user_delay(17);
  set_ch(ADDR_FREQ_A,81);
  set_ch(ADDR_FREQ_B,77);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,43);
  user_delay(70);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,50);
  user_delay(17);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_B,0);
  user_delay(17);
  set_ch(ADDR_FREQ_A,81);
  set_ch(ADDR_FREQ_B,77);
  user_delay(34);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,53);
  user_delay(71);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,57);
  user_delay(70);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,59);
  user_delay(35);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,80);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,76);
  user_delay(35);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,62);
  user_delay(71);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,42);
  user_delay(106);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,49);
  user_delay(106);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,52);
  user_delay(107);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,56);
  user_delay(106);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,58);
  user_delay(106);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,61);
  user_delay(106);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,64);
  user_delay(106);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,61);
  user_delay(107);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,58);
  user_delay(106);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,56);
  user_delay(107);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,52);
  user_delay(106);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,49);
  user_delay(106);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,77);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,73);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,39);
  user_delay(88);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_B,0);
  user_delay(17);
  set_ch(ADDR_FREQ_A,77);
  set_ch(ADDR_FREQ_B,73);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,46);
  user_delay(107);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,49);
  user_delay(106);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,72);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,69);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,38);
  user_delay(98);
  set_ch(ADDR_FREQ_C,0);
  user_delay(8);
  set_ch(ADDR_FREQ_C,38);
  user_delay(205);
  set_ch(ADDR_FREQ_C,0);
  user_delay(8);
  set_ch(ADDR_FREQ_C,38);
  user_delay(212);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,50);
  user_delay(213);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,38);
  user_delay(99);
  set_ch(ADDR_FREQ_C,0);
  user_delay(7);
  set_ch(ADDR_FREQ_C,38);
  user_delay(117);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_B,0);
  user_delay(88);
  set_ch(ADDR_FREQ_C,0);
  user_delay(8);
  
  ymz.SetEnvEnable(CH_A, true);
  ymz.SetEnvEnable(CH_B, true);
  
  set_ch(ADDR_FREQ_A,60);
  set_ch(ADDR_FREQ_B,57);
  set_ch(ADDR_FREQ_C,38);
  user_delay(52);
  set_ch(ADDR_FREQ_C,0);
  user_delay(142);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_B,0);
  user_delay(8);
  set_ch(ADDR_FREQ_C,0);
  user_delay(9);
  set_ch(ADDR_FREQ_A,60);
  set_ch(ADDR_FREQ_B,57);
  set_ch(ADDR_FREQ_C,38);
  user_delay(88);
  set_ch(ADDR_FREQ_A,0);
  user_delay(17);
  set_ch(ADDR_FREQ_A,63);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,60);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,41);
  user_delay(196);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_B,0);
  user_delay(8);
  set_ch(ADDR_FREQ_C,0);
  user_delay(7);
  set_ch(ADDR_FREQ_A,63);
  set_ch(ADDR_FREQ_B,60);
  set_ch(ADDR_FREQ_C,41);
  user_delay(214);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,72);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,69);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,38);
  user_delay(205);
  set_ch(ADDR_FREQ_C,0);
  user_delay(9);
  set_ch(ADDR_FREQ_C,38);
  user_delay(213);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,50);
  user_delay(214);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,38);
  user_delay(97);
  set_ch(ADDR_FREQ_C,0);
  user_delay(9);
  set_ch(ADDR_FREQ_C,38);
  user_delay(115);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_B,0);
  user_delay(88);
  set_ch(ADDR_FREQ_C,0);
  user_delay(9);
  set_ch(ADDR_FREQ_A,60);
  set_ch(ADDR_FREQ_B,57);
  set_ch(ADDR_FREQ_C,38);
  user_delay(195);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_B,0);
  user_delay(8);
  set_ch(ADDR_FREQ_C,0);
  user_delay(9);
  set_ch(ADDR_FREQ_A,60);
  set_ch(ADDR_FREQ_B,57);
  set_ch(ADDR_FREQ_C,38);
  user_delay(106);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,66);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,63);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,44);
  user_delay(196);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_B,0);
  user_delay(8);
  set_ch(ADDR_FREQ_C,0);
  user_delay(8);
  set_ch(ADDR_FREQ_A,66);
  set_ch(ADDR_FREQ_B,63);
  set_ch(ADDR_FREQ_C,44);
  user_delay(213);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_C,0);
  user_delay(106);
  set_ch(ADDR_FREQ_A,66);
  set_ch(ADDR_FREQ_B,63);
  set_ch(ADDR_FREQ_C,44);
  user_delay(88);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_B,0);
  user_delay(8);
  set_ch(ADDR_FREQ_C,0);
  user_delay(9);
  set_ch(ADDR_FREQ_A,66);
  set_ch(ADDR_FREQ_B,63);
  set_ch(ADDR_FREQ_C,44);
  user_delay(196);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_B,0);
  user_delay(8);
  set_ch(ADDR_FREQ_C,0);
  user_delay(8);
  set_ch(ADDR_FREQ_A,66);
  set_ch(ADDR_FREQ_B,63);
  set_ch(ADDR_FREQ_C,44);
  user_delay(213);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,65);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,62);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,43);
  user_delay(106);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,66);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,63);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,44);
  user_delay(508);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_B,0);
  user_delay(17);
  set_ch(ADDR_FREQ_C,0);
  user_delay(8);
  set_ch(ADDR_FREQ_A,66);
  set_ch(ADDR_FREQ_B,63);
  set_ch(ADDR_FREQ_C,44);
  user_delay(106);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,65);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,62);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,43);
  user_delay(106);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,63);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,60);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,41);
  user_delay(88);
  set_ch(ADDR_FREQ_B,0);
  user_delay(17);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,60);
  set_ch(ADDR_FREQ_B,57);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,38);
  user_delay(321);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,45);
  user_delay(106);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,48);
  user_delay(213);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,50);
  user_delay(213);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,48);
  user_delay(214);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,50);
  user_delay(213);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,48);
  user_delay(88);
  set_ch(ADDR_FREQ_A,0);
  user_delay(17);
  set_ch(ADDR_FREQ_A,63);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,60);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,53);
  user_delay(195);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_B,0);
  user_delay(9);
  set_ch(ADDR_FREQ_C,0);
  user_delay(8);
  set_ch(ADDR_FREQ_A,63);
  set_ch(ADDR_FREQ_B,60);
  set_ch(ADDR_FREQ_C,53);
  user_delay(214);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_C,0);

}


