#include <YMZ294.h>

#define ADDR_FREQ_A CH_A
#define ADDR_FREQ_B CH_B
#define ADDR_FREQ_C CH_C

// Output Pins
const byte WRCS_PIN = 8;
const byte A0_PIN = 9;
const byte RESET_PIN = 10;

YMZ294 ymz(WRCS_PIN, A0_PIN, RESET_PIN);

void set_ch(Channel ch, int note) {
  if(ch==CH_A || ch==CH_B) {
  ymz.SetEnvShape(1,0,0,1);
  ymz.SetEnvFrequency(15);
  }
  ymz.SetFrequency(ch, noteFreq[note]);
}

void user_delay(int time) {
  delay(time / 1.0);
}
/*
void set_ch(Channel ch, int note) {
  int input_delay = map(analogRead(A2),0,1023,0,11);
  ymz.SetFrequency(ch, noteFreq[note-input_delay]);
}

void user_delay(int time) {
  //float input_delay = (float)map(analogRead(A2),0,1023,70,700)/100.0;
    delay(time / 1.2);
  //delay(time / input_delay);
}
*/
void setup() {
  DDRD = 0b11111111;
  pinMode(WRCS_PIN, OUTPUT);
  pinMode(A0_PIN, OUTPUT);
  pinMode(RESET_PIN, OUTPUT);

  ymz.Reset();

  ymz.SetMixer(0b111, 0b000);

  ymz.SetVolume(CH_A, 0b00001010);
  ymz.SetFreqBit(CH_A, 0);
  ymz.SetVolume(CH_B, 0b00001010);
  ymz.SetFreqBit(CH_B, 0);
  ymz.SetVolume(CH_C, 0b00001111);
  ymz.SetFreqBit(CH_C, 0);
  
  ymz.SetEnvEnable(CH_A, true);
  ymz.SetEnvEnable(CH_B, true);
  ymz.SetEnvEnable(CH_C, false);
}

void loop() {
  playSong();
}

void playStart() {
}

void playSong() {
  
  set_ch(ADDR_FREQ_C,43);
  user_delay(110);
  set_ch(ADDR_FREQ_A,72);
  set_ch(ADDR_FREQ_B,67);
  user_delay(92);
  set_ch(ADDR_FREQ_B,0);
  user_delay(30);
  set_ch(ADDR_FREQ_B,67);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,47);
  user_delay(121);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,48);
  user_delay(91);
  set_ch(ADDR_FREQ_C,0);
  user_delay(29);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_C,48);
  user_delay(121);
  set_ch(ADDR_FREQ_A,71);
  set_ch(ADDR_FREQ_B,65);
  user_delay(91);
  set_ch(ADDR_FREQ_B,0);
  user_delay(30);
  set_ch(ADDR_FREQ_B,65);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,47);
  user_delay(243);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,52);
  user_delay(121);
  set_ch(ADDR_FREQ_A,72);
  set_ch(ADDR_FREQ_B,67);
  user_delay(90);
  set_ch(ADDR_FREQ_B,0);
  user_delay(31);
  set_ch(ADDR_FREQ_B,67);
  user_delay(90);
  set_ch(ADDR_FREQ_B,0);
  user_delay(31);
  set_ch(ADDR_FREQ_B,67);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,47);
  user_delay(90);
  set_ch(ADDR_FREQ_B,0);
  user_delay(30);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,67);
  set_ch(ADDR_FREQ_B,62);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,48);
  user_delay(243);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,71);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,65);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,45);
  user_delay(243);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,43);
  user_delay(121);
  set_ch(ADDR_FREQ_A,72);
  set_ch(ADDR_FREQ_B,67);
  user_delay(90);
  set_ch(ADDR_FREQ_B,0);
  user_delay(31);
  set_ch(ADDR_FREQ_B,67);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,47);
  user_delay(120);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,48);
  user_delay(91);
  set_ch(ADDR_FREQ_C,0);
  user_delay(29);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_C,48);
  user_delay(121);
  set_ch(ADDR_FREQ_A,71);
  set_ch(ADDR_FREQ_B,65);
  user_delay(91);
  set_ch(ADDR_FREQ_B,0);
  user_delay(30);
  set_ch(ADDR_FREQ_B,65);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,47);
  user_delay(243);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,52);
  user_delay(122);
  set_ch(ADDR_FREQ_A,72);
  set_ch(ADDR_FREQ_B,67);
  user_delay(91);
  set_ch(ADDR_FREQ_B,0);
  user_delay(30);
  set_ch(ADDR_FREQ_B,67);
  user_delay(91);
  set_ch(ADDR_FREQ_B,0);
  user_delay(30);
  set_ch(ADDR_FREQ_B,67);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,47);
  user_delay(91);
  set_ch(ADDR_FREQ_B,0);
  user_delay(29);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,67);
  set_ch(ADDR_FREQ_B,62);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,48);
  user_delay(243);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,71);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,65);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,45);
  user_delay(243);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,43);
  user_delay(121);
  set_ch(ADDR_FREQ_A,72);
  set_ch(ADDR_FREQ_B,67);
  user_delay(90);
  set_ch(ADDR_FREQ_B,0);
  user_delay(31);
  set_ch(ADDR_FREQ_B,67);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,47);
  user_delay(121);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,48);
  user_delay(90);
  set_ch(ADDR_FREQ_C,0);
  user_delay(30);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_C,48);
  user_delay(121);
  set_ch(ADDR_FREQ_A,71);
  set_ch(ADDR_FREQ_B,65);
  user_delay(90);
  set_ch(ADDR_FREQ_B,0);
  user_delay(31);
  set_ch(ADDR_FREQ_B,65);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,47);
  user_delay(242);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,52);
  user_delay(121);
  set_ch(ADDR_FREQ_A,72);
  set_ch(ADDR_FREQ_B,67);
  user_delay(92);
  set_ch(ADDR_FREQ_B,0);
  user_delay(30);
  set_ch(ADDR_FREQ_B,67);
  user_delay(91);
  set_ch(ADDR_FREQ_B,0);
  user_delay(30);
  set_ch(ADDR_FREQ_B,67);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,47);
  user_delay(91);
  set_ch(ADDR_FREQ_B,0);
  user_delay(29);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,67);
  set_ch(ADDR_FREQ_B,62);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,48);
  user_delay(243);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,71);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,65);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,45);
  user_delay(243);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,43);
  user_delay(121);
  set_ch(ADDR_FREQ_A,72);
  set_ch(ADDR_FREQ_B,67);
  user_delay(91);
  set_ch(ADDR_FREQ_B,0);
  user_delay(31);
  set_ch(ADDR_FREQ_B,67);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,47);
  user_delay(121);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,48);
  user_delay(90);
  set_ch(ADDR_FREQ_C,0);
  user_delay(30);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_C,48);
  user_delay(121);
  set_ch(ADDR_FREQ_A,71);
  set_ch(ADDR_FREQ_B,65);
  user_delay(90);
  set_ch(ADDR_FREQ_B,0);
  user_delay(31);
  set_ch(ADDR_FREQ_B,65);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,47);
  user_delay(243);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,52);
  user_delay(121);
  set_ch(ADDR_FREQ_A,72);
  set_ch(ADDR_FREQ_B,67);
  user_delay(90);
  set_ch(ADDR_FREQ_B,0);
  user_delay(31);
  set_ch(ADDR_FREQ_B,67);
  user_delay(90);
  set_ch(ADDR_FREQ_B,0);
  user_delay(30);
  set_ch(ADDR_FREQ_B,67);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,47);
  user_delay(90);
  set_ch(ADDR_FREQ_B,0);
  user_delay(29);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,67);
  set_ch(ADDR_FREQ_B,62);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,48);
  user_delay(243);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,71);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,65);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,45);
  user_delay(243);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,46);
  user_delay(121);
  set_ch(ADDR_FREQ_A,63);
  set_ch(ADDR_FREQ_B,58);
  user_delay(122);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,51);
  user_delay(121);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,49);
  user_delay(30);
  set_ch(ADDR_FREQ_B,58);
  user_delay(61);
  set_ch(ADDR_FREQ_A,0);
  user_delay(30);
  set_ch(ADDR_FREQ_A,68);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,63);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,54);
  user_delay(243);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,66);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,61);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,49);
  user_delay(121);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,68);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,63);
  user_delay(121);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,51);
  user_delay(121);
  set_ch(ADDR_FREQ_A,71);
  set_ch(ADDR_FREQ_B,66);
  user_delay(122);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,48);
  user_delay(90);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_B,0);
  user_delay(31);
  set_ch(ADDR_FREQ_A,71);
  set_ch(ADDR_FREQ_B,66);
  user_delay(121);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,73);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,68);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,46);
  user_delay(212);
  set_ch(ADDR_FREQ_C,0);
  user_delay(30);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_C,46);
  user_delay(121);
  set_ch(ADDR_FREQ_A,63);
  set_ch(ADDR_FREQ_B,58);
  user_delay(121);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,51);
  user_delay(121);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,49);
  user_delay(31);
  set_ch(ADDR_FREQ_B,58);
  user_delay(60);
  set_ch(ADDR_FREQ_A,0);
  user_delay(30);
  set_ch(ADDR_FREQ_A,68);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,63);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,54);
  user_delay(243);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,66);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,61);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,49);
  user_delay(121);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,68);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,63);
  user_delay(121);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,51);
  user_delay(121);
  set_ch(ADDR_FREQ_A,71);
  set_ch(ADDR_FREQ_B,66);
  user_delay(122);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,48);
  user_delay(91);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_B,0);
  user_delay(30);
  set_ch(ADDR_FREQ_A,71);
  set_ch(ADDR_FREQ_B,66);
  user_delay(121);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,46);
  user_delay(121);
  set_ch(ADDR_FREQ_A,63);
  set_ch(ADDR_FREQ_B,58);
  user_delay(90);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_B,0);
  user_delay(31);
  set_ch(ADDR_FREQ_A,63);
  set_ch(ADDR_FREQ_B,58);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,51);
  user_delay(121);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,49);
  user_delay(90);
  set_ch(ADDR_FREQ_A,0);
  user_delay(31);
  set_ch(ADDR_FREQ_A,68);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,63);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,54);
  user_delay(243);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,66);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,61);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,49);
  user_delay(121);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,68);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,63);
  user_delay(121);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,51);
  user_delay(121);
  set_ch(ADDR_FREQ_A,71);
  set_ch(ADDR_FREQ_B,66);
  user_delay(120);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,48);
  user_delay(92);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_B,0);
  user_delay(30);
  set_ch(ADDR_FREQ_A,71);
  set_ch(ADDR_FREQ_B,66);
  user_delay(121);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,73);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,68);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,46);
  user_delay(214);
  set_ch(ADDR_FREQ_C,0);
  user_delay(29);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_C,46);
  user_delay(121);
  set_ch(ADDR_FREQ_A,63);
  set_ch(ADDR_FREQ_B,58);
  user_delay(91);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_B,0);
  user_delay(30);
  set_ch(ADDR_FREQ_A,63);
  set_ch(ADDR_FREQ_B,58);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,51);
  user_delay(121);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,49);
  user_delay(91);
  set_ch(ADDR_FREQ_A,0);
  user_delay(30);
  set_ch(ADDR_FREQ_A,68);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,63);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,54);
  user_delay(243);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,66);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,61);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,49);
  user_delay(121);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,68);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,63);
  user_delay(121);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,51);
  user_delay(121);
  set_ch(ADDR_FREQ_A,71);
  set_ch(ADDR_FREQ_B,66);
  user_delay(122);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,48);
  user_delay(90);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_B,0);
  user_delay(31);
  set_ch(ADDR_FREQ_A,71);
  set_ch(ADDR_FREQ_B,66);
  user_delay(121);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,43);
  user_delay(121);
  set_ch(ADDR_FREQ_A,72);
  set_ch(ADDR_FREQ_B,67);
  user_delay(90);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_B,0);
  user_delay(30);
  set_ch(ADDR_FREQ_A,72);
  set_ch(ADDR_FREQ_B,67);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,47);
  user_delay(122);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,48);
  user_delay(90);
  set_ch(ADDR_FREQ_C,0);
  user_delay(30);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_C,48);
  user_delay(121);
  set_ch(ADDR_FREQ_A,71);
  set_ch(ADDR_FREQ_B,65);
  user_delay(91);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_B,0);
  user_delay(29);
  set_ch(ADDR_FREQ_A,71);
  set_ch(ADDR_FREQ_B,65);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,47);
  user_delay(244);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,52);
  user_delay(121);
  set_ch(ADDR_FREQ_A,72);
  set_ch(ADDR_FREQ_B,67);
  user_delay(91);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_B,0);
  user_delay(30);
  set_ch(ADDR_FREQ_A,72);
  set_ch(ADDR_FREQ_B,67);
  user_delay(91);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_B,0);
  user_delay(29);
  set_ch(ADDR_FREQ_A,72);
  set_ch(ADDR_FREQ_B,67);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,47);
  user_delay(92);
  set_ch(ADDR_FREQ_B,0);
  user_delay(29);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,67);
  set_ch(ADDR_FREQ_B,62);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,48);
  user_delay(244);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,71);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,65);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,45);
  user_delay(243);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,43);
  user_delay(122);
  set_ch(ADDR_FREQ_A,72);
  set_ch(ADDR_FREQ_B,67);
  user_delay(90);
  set_ch(ADDR_FREQ_B,0);
  user_delay(31);
  set_ch(ADDR_FREQ_B,67);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,47);
  user_delay(121);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,48);
  user_delay(90);
  set_ch(ADDR_FREQ_C,0);
  user_delay(30);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_C,48);
  user_delay(121);
  set_ch(ADDR_FREQ_A,71);
  set_ch(ADDR_FREQ_B,65);
  user_delay(91);
  set_ch(ADDR_FREQ_B,0);
  user_delay(31);
  set_ch(ADDR_FREQ_B,65);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,47);
  user_delay(243);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,52);
  user_delay(120);
  set_ch(ADDR_FREQ_A,72);
  set_ch(ADDR_FREQ_B,67);
  user_delay(91);
  set_ch(ADDR_FREQ_B,0);
  user_delay(30);
  set_ch(ADDR_FREQ_B,67);
  user_delay(91);
  set_ch(ADDR_FREQ_B,0);
  user_delay(30);
  set_ch(ADDR_FREQ_B,67);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,47);
  user_delay(90);
  set_ch(ADDR_FREQ_B,0);
  user_delay(29);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,67);
  set_ch(ADDR_FREQ_B,62);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,48);
  user_delay(243);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,71);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,65);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,45);
  user_delay(243);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,43);
  user_delay(121);
  set_ch(ADDR_FREQ_A,72);
  set_ch(ADDR_FREQ_B,67);
  user_delay(91);
  set_ch(ADDR_FREQ_B,0);
  user_delay(30);
  set_ch(ADDR_FREQ_B,67);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,47);
  user_delay(121);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,48);
  user_delay(90);
  set_ch(ADDR_FREQ_C,0);
  user_delay(30);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_C,48);
  user_delay(121);
  set_ch(ADDR_FREQ_A,71);
  set_ch(ADDR_FREQ_B,65);
  user_delay(122);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,47);
  user_delay(121);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,67);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,62);
  user_delay(121);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,43);
  user_delay(121);
  set_ch(ADDR_FREQ_A,72);
  set_ch(ADDR_FREQ_B,67);
  user_delay(90);
  set_ch(ADDR_FREQ_B,0);
  user_delay(31);
  set_ch(ADDR_FREQ_B,67);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,47);
  user_delay(121);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,48);
  user_delay(90);
  set_ch(ADDR_FREQ_C,0);
  user_delay(30);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_C,48);
  user_delay(121);
  set_ch(ADDR_FREQ_A,71);
  set_ch(ADDR_FREQ_B,65);
  user_delay(121);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,47);
  user_delay(121);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,67);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,62);
  user_delay(91);
  set_ch(ADDR_FREQ_A,0);
  user_delay(30);
  set_ch(ADDR_FREQ_A,72);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,67);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,43);
  user_delay(162);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,71);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,65);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,47);
  user_delay(162);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,72);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,67);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,48);
  user_delay(161);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,71);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,65);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,47);
  user_delay(162);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,67);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,62);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,48);
  user_delay(161);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,71);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,65);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,47);
  user_delay(162);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,72);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,67);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,48);
  user_delay(162);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,71);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,65);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,47);
  user_delay(161);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_A,72);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_B,67);
  set_ch(ADDR_FREQ_C,0);
  set_ch(ADDR_FREQ_C,48);
  user_delay(162);
  set_ch(ADDR_FREQ_A,0);
  set_ch(ADDR_FREQ_B,0);
  set_ch(ADDR_FREQ_C,0);


}


